Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32582/?format=api
{ "ob_id": 32582, "uuid": "f75c4b7739f34e02ae1a52b793c3b839", "title": "University of Liverpool Botanical Gardens (Ness) Long-Term Monitoring: Automatic Weather Station 5 minute surface observations (2010 onwards)", "abstract": "This dataset contains 5 minute surface meteorological observations from an automatic weather station (AWS) deployed at the University of Liverpool's Ness Botanical Gardens in Cheshire, UK from 2010 onwards.\r\n\r\nThese data complement data from this site originally collected by the Met Office until 0900 UTC on 1st June 2011. Those earlier data are available within the MIDAS Open dataset collection provided under the Open Government Licence by the Met Office. Those data are also available via the Centre for Environmental Data (CEDA) Archive. This results in an overlap between the Met Office data for this site and the 5 minute AWS data within this dataset. \r\n\r\nBoth BADC-CSV and NetCDF formatted versions of the data have been provided to aid greatest usability possible of these data.", "keywords": "surface meteorology, automatic weather station, 5 minunte", "publicationState": "preview", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "monthly", "status": "pending", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32583/?format=api", "dataPath": "/badc/ness-aws/data/ness-aws", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 0, "numberOfFiles": 0, "fileFormat": "Data are netCDF and BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8949/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2774/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/32584/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145047/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145048/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145049/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145050/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145051/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145052/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145053/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145054/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145076/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/145077/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32581/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }